aboutsummaryrefslogtreecommitdiffstats
path: root/compose/production/postgres/maintenance/backups
diff options
context:
space:
mode:
Diffstat (limited to 'compose/production/postgres/maintenance/backups')
-rw-r--r--compose/production/postgres/maintenance/backups22
1 files changed, 22 insertions, 0 deletions
diff --git a/compose/production/postgres/maintenance/backups b/compose/production/postgres/maintenance/backups
new file mode 100644
index 0000000..a18937d
--- /dev/null
+++ b/compose/production/postgres/maintenance/backups
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+
+### View backups.
+###
+### Usage:
+### $ docker compose -f <environment>.yml (exec |run --rm) postgres backups
+
+
+set -o errexit
+set -o pipefail
+set -o nounset
+
+
+working_dir="$(dirname ${0})"
+source "${working_dir}/_sourced/constants.sh"
+source "${working_dir}/_sourced/messages.sh"
+
+
+message_welcome "These are the backups you have got:"
+
+ls -lht "${BACKUP_DIR_PATH}"